PE6.1.0.0 #Slot 4 on 20X2 still not working.

Buzby

Senior Member
#1
I'm working again on my project which requires Slot 4 on a 20X2.

PE6 was being a bit too much of a nanny, and told me there was only Slot 0 on a 20X2.

The latest PE revision notes say this issue is fixed, but maybe only in a beta version of the compiler.

Do I need to install this beta version ?

If so, where is it ?

Cheers,

Buzby
 

hippy

Technical Support
Staff member
#2
If you have installed the latest PE6 (6.1.0.0) the updated compilers should have been installed with it but are not enabled by default. To use the updated compiler; first, locate where PE6 is installed, usually -

C:\Program Files (x86)\ Revolution Education\PICAXE Editor

Within that should be two directories "compilers" and "compilers-beta". Within "compilers" rename "picaxe20x2.exe" as "picaxe20x2-original.exe" or similar. Now copy and paste the "picaxe20x2.exe" from "compilers-beta" into "compilers".

You should then be able to use "#SLOT 4" on the 20x2.
 

PhilHornby

Senior Member
#4
So what's the story with #Slot 1, #Slot 2 and #Slot 3 ?

Or are we saying the 20X2 now supports Slots #0 and #4 ? (A quick test with the new compiler seems to suggest that)

I'm confused :confused:

(Confused myself so much I had to come back and edit this :) ... twice thrice)
 
Last edited:

hippy

Technical Support
Staff member
#5
The 28X2 and 40X2 support four internal slots 0 through 3, support external slots 4 upwards.

The 20x2 has only one internal slot 0, no slot 1, 2 or 3, but does support external slots 4 upwards.

The default PE6 compiler for the 20X2 effectively checks "if slot number <> 0 then error" rather than the new which checks "if ( slot number <> 0 ) and ( slot number < 4 ) then error". That was preventing slot 4 and upwards from being specified.
 

PhilHornby

Senior Member
#6
Oh that's a shame - I was hoping the 20X2 had had the 14M2/18M2+/20M2 treatment - where they magically acquired twice the program space overnight...
 
Top